### Method

# Pango Context set_matrix

since: 1.6

#### Declaration [src]

    void
    pango_context_set_matrix (
      PangoContext* context,
      const PangoMatrix* matrix
    )

#### Description [src]

Sets the transformation matrix that will be applied when rendering with this context.

Note that reported metrics are in the user space coordinates before the application of the matrix, not device-space coordinates after the application of the matrix. So, they don’t scale with the matrix, though they may change slightly for different matrices, depending on how the text is fit to the pixel grid.

Available since: 1.6

#### Parameters

`matrix`

  Type: `PangoMatrix`

  A `PangoMatrix`, or `NULL` to unset any existing matrix. (No matrix set is the same as setting the identity matrix.).

  The argument can be `NULL`.
  The data is owned by the caller of the method.